Bug 16974 - koha-plack should check and fix log files permissions
Summary: koha-plack should check and fix log files permissions
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Command-line Utilities (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Tomás Cohen Arazi
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-07-25 18:07 UTC by Tomás Cohen Arazi
Modified: 2017-12-07 22:16 UTC (History)
6 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Documentation contact:
Documentation submission:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 16974: Make koha-plack should check and fix log files permissions (2.30 KB, patch)
2016-07-25 18:21 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review
Bug 16974: Make koha-plack should check and fix log files permissions (2.36 KB, patch)
2016-08-11 19:19 UTC, Mirko Tietgen
Details | Diff | Splinter Review
Bug 16974: Make koha-plack should check and fix log files permissions (2.43 KB, patch)
2016-08-12 12:54 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Tomás Cohen Arazi 2016-07-25 18:07:17 UTC
It is not checking permissions and makes Koha fail badly if it cannot write the logs.

This could happen on logrotate, on koha-plack --start|--restart.
Comment 1 Tomás Cohen Arazi 2016-07-25 18:21:08 UTC Comment hidden (obsolete)
Comment 2 Mirko Tietgen 2016-08-11 19:19:47 UTC Comment hidden (obsolete)
Comment 3 Mirko Tietgen 2016-08-11 19:21:53 UTC
It did not work from within koha-shell. Since I don't think it would be called from within koha-shell, I assume it is supposed to be like that. Just wanted to leave a note in case it isn't.
Comment 4 Jonathan Druart 2016-08-12 12:54:02 UTC
Created attachment 54374 [details] [review]
Bug 16974: Make koha-plack should check and fix log files permissions

This patch adds a function to the koha-plack script so it checks for log file
existence and its permissions. This function is called from the start_plack function.

If some of this conditions are not fulfilled, it solves the situation by either
touching and/or changing the permissions accordingly for the instances' plack log files.

To test:
- Run (on kohadevbox):
  $ cd kohaclone
  $ debian/scripts/koha-plack --start kohadev
  $ debian/scripts/koha-plack --stop  kohadev
  $ ls /var/log/koha/kohadev/plack*
- Verify ownership of the created files (they might belong to the root user)
- Apply the patch
- Run:
  $ chown root:root /var/log/koha/kohadev/plack*
  $ debian/scripts/koha-plack --start kohadev
  $ ls /var/log/koha/kohadev/plack*
=> SUCCESS: Files belong to kohadev-koha:kohadev-koha
- Run:
  $ debian/scripts/koha-plack --stop  kohadev
  $ rm /var/log/koha/kohadev/plack*
  $ debian/scripts/koha-plack --start kohadev
  $ ls /var/log/koha/kohadev/plack*
=> SUCCESS: Files are created and belong to kohadev-koha:kohadev-koha
- Sign off :-D

Signed-off-by: Mirko Tietgen <mirko@abunchofthings.net>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 5 Kyle M Hall 2016-08-17 17:58:08 UTC
Pushed to master for 16.11, thanks Tomas!
Comment 6 Frédéric Demians 2016-08-23 10:23:43 UTC
Pushed in 16.05. Will be in 16.05.03.
Comment 7 Julian Maurice 2016-08-24 10:27:59 UTC
Pushed to 3.22.x, will be in 3.22.10